//start.c is run when the game starts, directly after main.c
void main
{
debug("Loading sounds..")
load_sound("QUACK.WAV",1)
load_sound("PIG1.WAV",2)
load_sound("PIG2.WAV",3)
load_sound("PIG3.WAV",4)
load_sound("PIG4.WAV",5)
load_sound("BURN.WAV",6)
load_sound("OPEN.WAV",7)
load_sound("SWING.WAV",8)
load_sound("PUNCH.WAV",9)
load_sound("SWORD2.WAV",10)
load_sound("SELECT.WAV",11)
load_sound("WSCREAM.WAV",12)
load_sound("PICKER.WAV",13)
load_sound("GOLD.WAV",14)
load_sound("GRUNT1.WAV",15)
load_sound("GRUNT2.WAV",16)
load_sound("SEL1.WAV",17)
load_sound("ESCAPE.WAV",18)
load_sound("NONO.WAV",19)
load_sound("SEL2.WAV",20)
load_sound("SEL3.WAV",21)
load_sound("HIGH2.WAV",22)
load_sound("FIRE.WAV",23)
load_sound("SPELL1.WAV",24)
load_sound("CAVEENT.WAV",25) //Duplicate sound - this one is never used anywhere in Original Dink
load_sound("SNARL1.WAV",26)
load_sound("SNARL2.WAV",27)
load_sound("SNARL3.WAV",28)
load_sound("HURT1.WAV",29)
load_sound("HURT2.WAV",30)
load_sound("ATTACK1.WAV",31)
load_sound("CAVEENT.WAV",32)
load_sound("LEVEL.WAV",33)
load_sound("SAVE.WAV",34)
load_sound("SPLASH.WAV",35)
load_sound("SWORD1.WAV",36)
load_sound("BHIT.WAV",37)
load_sound("SQUISH.WAV",38)
load_sound("STAIRS.WAV",39)
load_sound("STEPS.WAV",40)
load_sound("ARROW.WAV",41)
load_sound("FLYBY.WAV",42)
load_sound("SECRET.WAV",43)
load_sound("BOW1.WAV",44)
load_sound("KNOCK.WAV",45)
load_sound("DRAG1.WAV",46)
load_sound("DRAG2.WAV",47)
load_sound("AXE.WAV",48)
load_sound("BIRD1.WAV",49)

//These sounds are missing from Original Dink's start.c, but they exist in the sound folder. Uncomment to use
//load_sound("BIRD2.WAV",50)
//load_sound("POP.WAV",51)
//load_sound("HIGH1.WAV",52)

// load_sound("mystery.wav", 53)
// load_sound("monk.wav", 54)
// load_sound("ezdrummer.ogg", 55)
// load_sound("wololo.wav", 56)
// //Seth's favourite sample CD
// load_sound("scoringtools.mp3", 57)
// load_sound("fountain.ogg", 58)

fill_screen(0)
sp_seq(1,0)
sp_brain(1,13)
sp_pseq(1,10)
sp_pframe(1,8)
sp_que(1,20000)
sp_noclip(1,1)

int &crap

//Old version check. If you're using commands only supported in v1.08+, you might want to add 108 as the condition here
&crap = get_version()
if (&crap < 108)
{
//can't play with old .exe, not all command are supported
Say_xy("`4Please run in a newer engine version, or switch off 1.07 mode.",0, 390)
wait(1)
wait(5000)
kill_game
return
}

playavi("anim/rtsoft.mp4");

say_xy("`%Creating new game...",0,390)
wait(1)
sp_base_walk(1,70)
sp_base_attack(1,100)
set_mode(2)
reset_timer
sp_dir(1,4)
sp_brain(1,1)
sp_que(1,0)
sp_noclip(1,0)
debug("sneedle")
add_item("item-fst",438,1)
&cur_weapon = 1
arm_weapon();
debug("testicles")
//Make Dink's status bar update, and draw the status bar
&update_status = 1
draw_status();

sp_x(1, 320)
sp_y(1, 200)
playmidi("octfalls.mid")

kill_this_task


//Title
&crap = create_sprite(0,0,0,192,1)
sp_noclip(&crap,1)

//Start
&crap = create_sprite(30,420,14,193,1)
sp_script(&crap,"start-1")
sp_noclip(&crap,1)
sp_touch_damage(&crap,-1)

//Load
&crap = create_sprite(270,420,14,194,1)
sp_script(&crap,"start-2")
sp_noclip(&crap,1)
sp_touch_damage(&crap,-1)

//Quit
&crap = create_sprite(530,420,14,195,1)
sp_noclip(&crap,1)
sp_script(&crap,"start-3")
sp_touch_damage(&crap, -1)

//If you want a midi playing on the title screen, add it here


kill_this_task
}
